Bug 219306 - Access keys don't work on the whole page
Summary: Access keys don't work on the whole page
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-19 14:14 UTC by Voker57
Modified: 2010-02-20 02:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Voker57 2009-12-19 14:14:05 UTC
Version:           4.3.4 (KDE 4.3.4) (using 4.3.4 (KDE 4.3.4), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.31-1-686

If you activate access keys (Pressing RCtrl), only the uppermost links are marked. If you scroll down, links on current screen are not marked.

Expected behaviour: assign Access Keys only to links that are currently visible on screen.
Comment 1 Voker57 2009-12-19 14:14:25 UTC
LCtrl, sorry
Comment 2 Germain Garand 2010-02-13 18:04:19 UTC
SVN commit 1089662 by ggarand:

fix access keys being displayed only for the visible part of the page,
fix scrolling while access keys are displayed producing artifacts

BUG: 219306
BUG: 172870

 M  +18 -6     khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1089662
Comment 3 Germain Garand 2010-02-20 02:18:11 UTC
SVN commit 1093042 by ggarand:

automatically merged revision 1089662:
fix access keys being displayed only for the visible part of the page,
fix scrolling while access keys are displayed producing artifacts

BUG: 219306

 M  +18 -6     khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1093042